### Signal

# Gtk.Label::activate-link

#### Declaration

    gboolean
    activate_link (
      GtkLabel self,
      gchar* uri,
      gpointer user_data
    )

#### Description [src]

Gets emitted to activate a URI.

Applications may connect to it to override the default behaviour, which is to call `gtk_show_uri()`.

Default handler: | The default handler is called after the handlers added via `g_signal_connect()`

#### Parameters

`uri` | `gchar*`
| the URI that is activated
| Ownership is not transferred to the callee
| The string is a NUL terminated UTF-8 string

#### Return value

Returns: `gboolean`
`TRUE` if the link has been activated